org.apache.maven.shared.io.location

## Class ArtifactLocatorStrategy

- java.lang.Object
- - org.apache.maven.shared.io.location.ArtifactLocatorStrategy

All Implemented Interfaces:
  LocatorStrategy

    public class ArtifactLocatorStrategy
    extends Object
    implements LocatorStrategy

The locator strategy.

### Constructor Summary

Constructors
Constructor and Description
`ArtifactLocatorStrategy(org.apache.maven.artifact.factory.ArtifactFactory factory, org.apache.maven.artifact.resolver.ArtifactResolver resolver, org.apache.maven.artifact.repository.ArtifactRepository localRepository, List<org.apache.maven.artifact.repository.ArtifactRepository> remoteRepositories)`
`ArtifactLocatorStrategy(org.apache.maven.artifact.factory.ArtifactFactory factory, org.apache.maven.artifact.resolver.ArtifactResolver resolver, org.apache.maven.artifact.repository.ArtifactRepository localRepository, List<org.apache.maven.artifact.repository.ArtifactRepository> remoteRepositories, String defaultArtifactType)`
`ArtifactLocatorStrategy(org.apache.maven.artifact.factory.ArtifactFactory factory, org.apache.maven.artifact.resolver.ArtifactResolver resolver, org.apache.maven.artifact.repository.ArtifactRepository localRepository, List<org.apache.maven.artifact.repository.ArtifactRepository> remoteRepositories, String defaultArtifactType, String defaultClassifier)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Location` `resolve(String locationSpecification, MessageHolder messageHolder)` Assumes artifact identity is given in a set of comma-delimited tokens of the form: `groupId:artifactId:version:type:classifier`, where type and classifier are optional.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArtifactLocatorStrategy

    public ArtifactLocatorStrategy(org.apache.maven.artifact.factory.ArtifactFactory factory,
                                   org.apache.maven.artifact.resolver.ArtifactResolver resolver,
                                   org.apache.maven.artifact.repository.ArtifactRepository localRepository,
                                   List<org.apache.maven.artifact.repository.ArtifactRepository> remoteRepositories)

Parameters:
  `factory` - `ArtifactFactory`
  `resolver` - `ArtifactResolver`
  `localRepository` - `ArtifactRepository`
  `remoteRepositories` - `ArtifactRepository`

#### ArtifactLocatorStrategy

    public ArtifactLocatorStrategy(org.apache.maven.artifact.factory.ArtifactFactory factory,
                                   org.apache.maven.artifact.resolver.ArtifactResolver resolver,
                                   org.apache.maven.artifact.repository.ArtifactRepository localRepository,
                                   List<org.apache.maven.artifact.repository.ArtifactRepository> remoteRepositories,
                                   String defaultArtifactType)

Parameters:
  `factory` - `ArtifactFactory`
  `resolver` - `ArtifactResolver`
  `localRepository` - `ArtifactRepository`
  `remoteRepositories` - `ArtifactRepository`
  `defaultArtifactType` - default artifact type.

#### ArtifactLocatorStrategy

    public ArtifactLocatorStrategy(org.apache.maven.artifact.factory.ArtifactFactory factory,
                                   org.apache.maven.artifact.resolver.ArtifactResolver resolver,
                                   org.apache.maven.artifact.repository.ArtifactRepository localRepository,
                                   List<org.apache.maven.artifact.repository.ArtifactRepository> remoteRepositories,
                                   String defaultArtifactType,
                                   String defaultClassifier)

Parameters:
  `factory` - `ArtifactFactory`
  `resolver` - `ArtifactResolver`
  `localRepository` - `ArtifactRepository`
  `remoteRepositories` - `ArtifactRepository`
  `defaultArtifactType` - default artifact type.
  `defaultClassifier` - default classifier.

### Method Detail

#### resolve

    public Location resolve(String locationSpecification,
                            MessageHolder messageHolder)

Assumes artifact identity is given in a set of comma-delimited tokens of the form: `groupId:artifactId:version:type:classifier`, where type and classifier are optional.

Specified by:
  `resolve` in interface `LocatorStrategy`
Parameters:
  `locationSpecification` - location spec.
  `messageHolder` - `MessageHolder`
Returns:
  location.